﻿
$ErrorActionPreference = 'Stop';

$packageName= 'dotnetcore-sdk'
$toolsDir   = "$(Split-Path -parent $MyInvocation.MyCommand.Definition)"
$url        = 'https://download.visualstudio.microsoft.com/download/pr/7b947d96-d1b9-4950-a023-9956d3dc47db/c779f3ce8edcfe515859dd1bb6dcccbb/dotnet-sdk-2.1.511-win-x86.exe'
$checksum   = '6cc1444d4c18ef417a939789d9674a95ff10162e66fb3e6af4837c702d9822a1f21cef38531a8e5f0f4f3191d683db6d3d4ea00059a3f8d0e9adc33189b5792f'
$url64      = 'https://download.visualstudio.microsoft.com/download/pr/eb676217-04c4-414d-819e-c51233e5bff9/5dc9947b4ee57d665452c1f50374a357/dotnet-sdk-2.1.511-win-x64.exe'
$checksum64 = '3fa549088c2b93728a24026973e107bf79a65e424bea936361b19bf52111382f3f1facba198fce888b0636765473d45457f42bac65106a73fb06f53ea0ea49ad'

$packageArgs = @{
  packageName   = $packageName
  unzipLocation = $toolsDir
  fileType      = 'EXE'
  url           = $url
  url64bit      = $url64

  silentArgs    = "/install /quiet /norestart /log `"$env:TEMP\$($packageName)\$($packageName).MsiInstall.log`""
  validExitCodes= @(0, 3010, 1641)

  softwareName  = 'dotnet-core*'
  checksum      = $checksum
  checksumType  = 'SHA512'
  checksum64    = $checksum64
}

Install-ChocolateyPackage @packageArgs
